#include <NewPing.h>
#define ECHO_PIN     8  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define TRIGGER_PIN  9  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN2    10
#define TRIGGER_PIN2 11
#define BEEPER       12
#define MAX_DISTANCE 200 // Maximum distance we want to ping for (in centimeters). Maximum sensor distance is rated at 400-500cm.

NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.
NewPing sonar2(TRIGGER_PIN2, ECHO_PIN2, MAX_DISTANCE);

void setup() 
{
  Serial.begin(9600); // Open serial monitor at 115200 baud to see ping results.
  pinMode(BEEPER, OUTPUT);
}

void loop() 
{
  unsigned int uS = sonar.ping(); // Send ping, get ping time in microseconds (uS).
  unsigned int uS2 = sonar2.ping();
  unsigned int cmS = sonar.convert_cm(uS);
  unsigned int cmS2 = sonar2.convert_cm(uS2);
  tone(BEEPER,200*(100/(cmS+1)),cmS2*5);
  delay(30+cmS2*5);  // 29ms should be the shortest delay between pings.
}